Summary:	Genealogical Research and Analysis Management Programming System
Summary(pl.UTF-8):	System programowania do zarządzania badaniami i analizą genealogiczną
Name:		gramps
Version:	4.0.2
Release:	2
License:	GPL v2
Group:		Applications/Science
Source0:	http://downloads.sourceforge.net/gramps/%{name}-%{version}.tar.gz
# Source0-md5:	41d9ae797c2eb2da42474aca3cccb6b3
Patch0:		%{name}-icon_path.patch
URL:		http://gramps-project.org/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+2-devel >= 2:2.8.0
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper >= 0.3.5
%pyrequires_eq  python-modules
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	hicolor-icon-theme
Requires:	python-gnome-ui >= 2.12.2-2
Suggests:	graphviz
Suggests:	python-ReportLab
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gramps (Genealogical Research and Analysis Management Programming
System) is a GNOME based genealogy program supporting a Python based
plugin system.

%description -l pl.UTF-8
gramps (Genealogical Research and Analysis Management Programming
System - system programowania do zarządzania badaniami i analizą
genealogiczną) to oparty na GNOME program do genealogii obsługujący
system wtyczek w Pythonie.

%prep
%setup -q
%patch0 -p1

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

install -d $RPM_BUILD_ROOT%{_pixmapsdir}
install images/gramps.png $RPM_BUILD_ROOT%{_pixmapsdir}

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/mime-info
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/pt{_PT,}

%py_postclean

%find_lang gramps

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%scrollkeeper_update_post

%postun
%update_desktop_database_postun
%scrollkeeper_update_postun

%files -f gramps.lang
%defattr(644,root,root,755)
%doc AUTHORS FAQ NEWS README TODO example
%attr(755,root,root) %{_bindir}/gramps

%dir %{_datadir}/gramps
%{_datadir}/gramps/*.xml
%{_datadir}/gramps/css
%{_datadir}/gramps/images

%{py_sitescriptdir}/gramps
%{py_sitescriptdir}/gramps-*.egg-info

%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/mimetypes/*
%{_pixmapsdir}/gramps.png

%{_datadir}/appdata/gramps.appdata.xml

%{_datadir}/mime/packages/gramps.xml

%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(pt_BR) %{_mandir}/pt_BR/man1/*
%lang(sv) %{_mandir}/sv/man1/*
%changelog
* Wed Dec 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gramps.git;a=log;h=master

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> d2bddfc
- fix pt locale
- rel 2

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> abde0e4
- updated to 4.0.2

* Wed Jul 13 2011 Krystian Tomczyk <krystian@pld-linux.org> 2df5f5a
- up to 3.3.0-1

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> 3e003a6
- BR: rpm-pythonprov

* Thu Nov 11 2010 Adam Gołębiowski <adamg@pld-linux.org> d9add54
- updated to 3.2.4

* Thu Jul 15 2010 Krystian Tomczyk <krystian@pld-linux.org> cb69055
- updated to 3.2.3

* Sun Mar 01 2009 Paweł Gołaszewski <blues@pld-linux.org> 0e0e2bc
- use suggests, not stupid banners.

* Mon Dec 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 195ac97
- outdated

* Sat Dec 13 2008 Krystian Tomczyk <krystian@pld-linux.org> f04406b
- up to 3.0.4
- locale_names.patch not needed (no locale not in sources)

* Sat Mar 29 2008 Adam Gołębiowski <adamg@pld-linux.org> f9478b5
- updated to 3.0.0

* Sat Mar 29 2008 Adam Gołębiowski <adamg@pld-linux.org> f2613b0
- updated to 3.0.0
- BuildRequires: python >= 1:2.5, python-pygtk-devel >= 2:2.10.0
- adapterized

* Tue Jan 22 2008 ankry <ankry@pld-linux.org> b58a2f9
- up to 2.2.10

* Tue Jan 22 2008 ankry <ankry@pld-linux.org> 3e65e2a
- 2.2.10, builds, not tested

* Fri Nov 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 1a8d7f1
- BR: intltool
- cleanup (rarian-compat P: scrollkeeper)

* Fri Nov 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 178b50b
- outdated (I assume)

* Fri Nov 23 2007 Krystian Tomczyk <krystian@pld-linux.org> 9cff0fc
- up to 2.2.9

* Fri Jun 01 2007 Krystian Tomczyk <krystian@pld-linux.org> ec2e977
- up to 2.2.8

* Sun May 13 2007 Krystian Tomczyk <krystian@pld-linux.org> ae25aad
- up to 2.2.7 - a bug fix release.

* Fri Mar 09 2007 Krystian Tomczyk <krystian@pld-linux.org> e1e4acf
- up to 2.2.6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fdd5ef0
- tabs in preamble

